LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
SQLErrorEvent Struct Referencepublished

is invoked in case of fired database exception triggered by a database object. More...

`import"SQLErrorEvent.idl";`

Inheritance diagram for SQLErrorEvent:

## Public Attributes
any | Reason
| contains the exception that is going to be fired. More...
Public Attributes inherited from EventObject
com::sun::star::uno::XInterface | Source
| refers to the object that fired the event. More...

## Detailed Description

is invoked in case of fired database exception triggered by a database object.

## Member Data Documentation

any Reason

contains the exception that is going to be fired.

The documentation for this struct was generated from the following file:

- com/sun/star/sdb/SQLErrorEvent.idl